import java.util.Vector;

/**
 * Fuer genauere Beschreibungen der einzelnen Methoden, siehe 'Bibliothek_test.zip' der 
 * letzten Woche.
 * 
 * @author David Wimmesberger
 *
 */
public class Bibliothek {

	/**
	 * In unserer Bibliothek koennen jetzt nicht nur Buecher verwaltet werden, 
	 * sondern alle Unterklassen von 'Medium'.
	 * Natuerlich muessen alle Methoden daraufhin angepasst werden.
	 */
	private Vector<Medium> regal;

	public Bibliothek(){
		regal=new Vector<Medium>();
	}

	private Medium checkKuerzel(String kuerzel){

		for(Medium m:regal){
			if(m.kuerzel.equals(kuerzel)){
				return m;
			}
		}

		return null;
	}

	public boolean addMedium(Medium m){
		Medium n=checkKuerzel(m.kuerzel);

		if(n==null){
			regal.add(m);
			return true;
		}else{
			return false;
		}

	}

	public boolean ausleihen(String kuerzel){
		Medium m=checkKuerzel(kuerzel);

		if(m==null){
			return false;
		}else{
			return m.ausleihen();
		}
	}

	public boolean zurueckgeben(String kuerzel){
		Medium m=checkKuerzel(kuerzel);

		if(m==null){
			return false;
		}else{
			m.zurueckgeben();
			return true;
		}
	}

	public String shortInfo(){
		int counter=0;
		for(Medium m:regal){
			if(m.isAusgeliehen()){
				counter++;
			}
		}

		return "In dieser Bibliothek gibt es "+regal.size()+" Medien, davon sind zur Zeit " +
		counter+" verliehen.";
	}

	public String longInfo(){
		String s="In dieser Bibliothek befinden sich folgende Medien: \n";

		for(Medium m:regal){
			if(!m.isAusgeliehen()){
				s+=m.info()+" ist verfuegbar. \n";
			}else{
				s+=m.info()+" ist leider nicht verfuegbar. \n";
			}
		}

		return s;
	}
}
