/**
 *	Buch wird jetzt von Medium abgeleitet (mittels 'extends') und ist
 *  damit eine Unterklasse von Medium. Damit besitzt es automatisch alle Variablen 
 *  und Methoden der Oberklasse (sofern diese 'public' oder 'protected' sind).
 *  
 *  Weiters implementiert Buch das Interface 'lesbar' und muss daher die Methode
 *  'lesen()' besitzen.
 *  
 * 	Fuer genauere Beschreibungen der einzelnen Methoden, siehe 'Bibliothek_test.zip' der 
 * 	letzten Woche.
 * 
 * @author David Wimmesberger
 */
public class Buch extends Medium implements lesbar{
	
	/**
	 * Dies ist eine klasseneigene Variable.
	 * Nur Buecher haben einen Text, der gelesen werden kann.
	 * Die Klasse 'Buch' hat also mehr Variablen als in der abstrakten
	 * Oberklasse 'Medium' angegeben.
	 */
	private String text;
	
	/**
	 * Constructor, mittels super(...) wird der Constructor der Oberklasse
	 * aufgerufen.
	 */
	public Buch(String titel,String autor,String kuerzel,int jahr){
		super(titel, autor,kuerzel,jahr);
	}
	
	public void setText(String text){
		this.text=text;
	}

	/**
	 * 'lesen' gibt einfach den zuvor gespeicherten Buchtext
	 * zurueck.
	 */
	public String lesen() {
		return text;
	}
	
	
}
