/**
 * Hier ein neues Medium. Mittels 'extends' wird CD zur Unterklasse von 'Medium'
 * und hat damit automatisch alle Variablen und Methoden der Oberklasse (zumindest
 * jene, die als 'protected' oder 'public' deklariert sind).
 * @author David Wimmesberger
 *
 */
public class CD extends Medium{
	/**
	 * Dies ist eine klasseneigene Variable.
	 * Die Klasse 'CD' hat also mehr Variablen als in der abstrakten
	 * Oberklasse 'Medium' angegeben.
	 */
	private int spieldauer;
	
	/**
	 * Mittels super(...) wird der Constructor der Oberklasse verwendet.
	 * Erweitert wird dies um eine Zuweisung fuer die Variable 'spieldauer', die nicht
	 * in der Oberklasse vorhanden ist.
	 */
	public CD(String titel,String autor,String kuerzel,int jahr,int spieldauer){
		super(titel,autor,kuerzel,jahr);
		this.spieldauer=spieldauer;
	}
	
	/**
	 * Hier wird die 'info'-Methode der Oberklasse angepasst ('ueberladen').
	 * Mittels 'super.info()' wird auf die 'info'-Methode von Medium zugegriffen.
	 */
	public String info(){
		String s=super.info();
		
		s+=", Spieldauer: "+spieldauer+"min";
		
		return s;
	}

}
