
/**
 * Dies ist die abstrakte Klasse Medium.
 * Abstrakte Klassen dienen der Zusammenfassung von Eigenschaften, die alle Medien
 * (in unserem Beispiel Bücher und CDs) besitzen.
 * Abstrakte Klassen koennen nicht instanziert werden, dies koennen nur die zugehoerigen
 * Unterklassen (wiederum Buch und CD).
 * 
 * Fuer genauere Beschreibungen der einzelnen Methoden, siehe 'Bibliothek_test.zip' der 
 * letzten Woche.
 * 
 * @author David Wimmesberger
 *
 */
public abstract class Medium {
	//Klassenvariablen
	protected String titel, autor, kuerzel;
	protected int jahr;
	protected boolean ausgeliehen;

	//Constructor
	public Medium(String titel,String autor,String kuerzel,int jahr){
		this.titel=titel;
		this.autor=autor;
		this.kuerzel=kuerzel;
		this.jahr=jahr;

		ausgeliehen=false;
	}

	//Methoden
	public String info(){
		return "Medium "+kuerzel+", Autor: "+autor+", Titel: "+titel+", Erscheinungsjahr: "+jahr;
	}

	public boolean ausleihen(){
		if(ausgeliehen){
			return false;
		}else{
			ausgeliehen=true;
			return true;
		}
	}

	public void zurueckgeben(){
		ausgeliehen=false;
	}

	public boolean isAusgeliehen(){
		return ausgeliehen;
	}
}
